﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yokogawa DL1740: (1 year) VER IEEE /9500+4Hd
DATE:                  2017-04-13 13:35:35
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       171
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720/DL1740 Digital Oscilloscope
#        Service Manual, SM 701710-01E, 4th Edition, July 2002
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         600MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         600MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         600MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         600MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  IF           NOT(VERSIONCHECK("7.3"))
  1.012  END
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                            A        V

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.019  HEAD         PRELIMINARY INSTRUCTIONS
  1.020  DISP         Ambient temperature: 18 °C - 28 °C.
  1.020  DISP         Relative humidity: less than 80 %.
  1.020  DISP         Warmup time: 30 minutes.

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.023  CALL         Sub UUT Connection GPIB

  1.024  MATH         @UUT_Manufacturer = "YOKOGAWA"
  1.025  MATH         @UUT_Model        = "DL1740"
  1.026  MATH         @UUT_AssetNum     = UUT()

  1.027  IF           NOT(EMPTY(@UUT_AssetNum))
  1.028  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.029  ENDIF

  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.031  CALL         Sub Yokogawa DL17x0 Model Number

  1.032  IF           @Abort
  1.033  END
  1.034  ENDIF

  1.035  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.036  IF           @Abort
  1.037  END
  1.038  ENDIF

  1.039  RESET        *CLS
  1.040  IEEE2        *RST

  1.041  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.042  CALL         Sub Yokogawa DL17x0 Self Test IEEE

  1.043  DISP         Connect the 9500 to the UUT as follows:
  1.043  DISP         [32] CH 1 Active Head to UUT CH 1
  1.043  DISP         [32] CH 2 Active Head to UUT CH 2
  1.043  DISP         [32] CH 3 Active Head to UUT CH 3
  1.043  DISP         [32] CH 4 Active Head to UUT CH 4

  1.044  MATH         M[1] = 1
  1.045  M9500                       CH1
  1.046  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /9500
  1.047  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.048  MATH         M[1] = 2
  1.049  M9500                       CH2
  1.050  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.051  MATH         M[1] = 3
  1.052  M9500                       CH3
  1.053  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.054  MATH         M[1] = 4
  1.055  M9500                       CH4
  1.056  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500

  1.057  MATH         M[1] = 1
  1.058  M9500                       CH1
  1.059  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /9500
  1.060  MATH         M[1] = 2
  1.061  M9500                       CH2
  1.062  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /9500
  1.063  MATH         M[1] = 3
  1.064  M9500                       CH3
  1.065  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /9500
  1.066  MATH         M[1] = 4
  1.067  M9500                       CH4
  1.068  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /9500

  1.069  MATH         M[1] = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /9500
  1.072  MATH         M[1] = 2
  1.073  M9500                       CH2
  1.074  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /9500
  1.075  MATH         M[1] = 3
  1.076  M9500                       CH3
  1.077  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /9500
  1.078  MATH         M[1] = 4
  1.079  M9500                       CH4
  1.080  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /9500

  1.081  MATH         M[1] = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.084  MATH         M[1] = 2
  1.085  M9500                       CH2
  1.086  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.087  MATH         M[1] = 3
  1.088  M9500                       CH3
  1.089  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.090  MATH         M[1] = 4
  1.091  M9500                       CH4
  1.092  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500

  1.093  MATH         M[1] = 1
  1.094  M9500                       CH1
  1.095  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.096  MATH         M[1] = 2
  1.097  M9500                       CH2
  1.098  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.099  MATH         M[1] = 3
  1.100  M9500                       CH3
  1.101  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.102  MATH         M[1] = 4
  1.103  M9500                       CH4
  1.104  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500

  1.105  END
